Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnSourceQualifier Class Reference

gnSourceQualifier is used to store a sequence qualifier which resides in another source. More...

`#include <gnSourceQualifier.h>`

Inheritance diagram for gnSourceQualifier:

List of all members.

## Public Member Functions
| gnSourceQualifier ()
| Empty constructor.
| gnSourceQualifier (gnBaseSource *source, string &name, uint32 begin, uint32 length)
| Constructor, records the location and name of the qualifier in the source.
| gnSourceQualifier (const gnSourceQualifier &s)
| Copy constructor.
| ~gnSourceQualifier ()
| Destructor, frees memory.
gnSourceQualifier * | Clone () const
string | GetName () const
| Get the name of qualifier stored in this class.
string | GetValue () const
| Get the qualifier stored in this class.
uint32 | GetNameLength () const
| Get the length of the qualifier name stored in this class.
uint32 | GetValueLength () const
| Get the length of the qualifier stored in this class.
uint32 | GetValueStart () const
| Get the qualifier's start position within the source.
pair< uint32, uint32 > | GetValueLoc () const
| Get the qualifier's start position and length within the source.
void | SetValueStart (const uint32 start)
| Set the qualifier's start position within the source.
void | SetValueLength (const uint32 length)
| Get the qualifier's length within the source.
void | SetValueLoc (const pair< uint32, uint32 > startLen)
| Set the qualifier's start position and length within the source.
## Private Attributes
string | m_name
uint32 | m_start
uint32 | m_length
gnBaseSource * | m_source

## Detailed Description

gnSourceQualifier is used to store a sequence qualifier which resides in another source.

They are created by gnGBKSource and other sources and placed into a gnFeature.

Definition at line 28 of file gnSourceQualifier.h.

## Constructor & Destructor Documentation

gnSourceQualifier::gnSourceQualifier | ( |  | ) |

| Empty constructor. Definition at line 18 of file gnSourceQualifier.cpp. References m_length, m_name, m_source, and m_start. Referenced by Clone().

gnSourceQualifier::gnSourceQualifier | ( | gnBaseSource * | source,
|  | string & | name,
|  | uint32 | begin,
|  | uint32 | length
| ) |

  | Constructor, records the location and name of the qualifier in the source. Parameters:
  source | The source which contains the qualifier.
  name | The name of the qualifier.
  begin | The offset into the source where the qualifier starts.
  length | The length of the qualifier.
Definition at line 24 of file gnSourceQualifier.cpp. References m_length, m_name, m_source, and m_start.

gnSourceQualifier::gnSourceQualifier | ( | const gnSourceQualifier & | s | ) |

  | Copy constructor. Parameters:
  s | The gnSourceQualifier to copy.
Definition at line 30 of file gnSourceQualifier.cpp. References m_length, m_name, m_source, and m_start.

gnSourceQualifier::~gnSourceQualifier | ( |  | ) |

| Destructor, frees memory. Definition at line 36 of file gnSourceQualifier.cpp.

## Member Function Documentation

gnSourceQualifier * gnSourceQualifier::Clone | ( |  | ) | const`[inline, virtual]`

| Implements gnBaseQualifier. Definition at line 95 of file gnSourceQualifier.h. References gnSourceQualifier().

string gnSourceQualifier::GetName | ( |  | ) | const`[inline, virtual]`

| Get the name of qualifier stored in this class. Returns: The qualifier name as a string. Implements gnBaseQualifier. Definition at line 99 of file gnSourceQualifier.h. References m_name.

uint32 gnSourceQualifier::GetNameLength | ( |  | ) | const`[inline, virtual]`

| Get the length of the qualifier name stored in this class. Returns: The length of the qualifier name. Implements gnBaseQualifier. Definition at line 103 of file gnSourceQualifier.h. References m_name, and uint32.

string gnSourceQualifier::GetValue | ( |  | ) | const`[virtual]`

| Get the qualifier stored in this class. Returns: The qualifier as a string. Implements gnBaseQualifier. Definition at line 38 of file gnSourceQualifier.cpp. References Array< T >::data, m_length, m_source, gnBaseSource::Read(), and uint32.

uint32 gnSourceQualifier::GetValueLength | ( |  | ) | const`[inline, virtual]`

| Get the length of the qualifier stored in this class. Returns: The length of the qualifier. Implements gnBaseQualifier. Definition at line 111 of file gnSourceQualifier.h. References m_length, and uint32.

pair< uint32, uint32 > gnSourceQualifier::GetValueLoc | ( |  | ) | const`[inline]`

| Get the qualifier's start position and length within the source. Returns: The qualifier start position and length as a pair. Definition at line 115 of file gnSourceQualifier.h. References m_length, and m_start.

uint32 gnSourceQualifier::GetValueStart | ( |  | ) | const`[inline]`

| Get the qualifier's start position within the source. Returns: The qualifier start position. Definition at line 107 of file gnSourceQualifier.h. References m_start, and uint32.

void gnSourceQualifier::SetValueLength | ( | const uint32 | length | ) | `[inline]`

  | Get the qualifier's length within the source. Parameters:
  length | The qualifier length.
Definition at line 126 of file gnSourceQualifier.h. References m_length.

void gnSourceQualifier::SetValueLoc | ( | const pair< uint32, uint32 > | startLen | ) | `[inline]`

  | Set the qualifier's start position and length within the source. Parameters:
  startLen | The qualifier start position and length as a pair.
Definition at line 130 of file gnSourceQualifier.h. References m_length, and m_start.

void gnSourceQualifier::SetValueStart | ( | const uint32 | start | ) | `[inline]`

  | Set the qualifier's start position within the source. Parameters:
  start | The qualifier start position.
Definition at line 122 of file gnSourceQualifier.h. References m_start.

## Member Data Documentation

uint32 gnSourceQualifier::m_length`[private]`

| Definition at line 90 of file gnSourceQualifier.h. Referenced by GetValue(), GetValueLength(), GetValueLoc(), gnSourceQualifier(), SetValueLength(), and SetValueLoc().

string gnSourceQualifier::m_name`[private]`

| Definition at line 89 of file gnSourceQualifier.h. Referenced by GetName(), GetNameLength(), and gnSourceQualifier().

gnBaseSource* gnSourceQualifier::m_source`[private]`

| Definition at line 91 of file gnSourceQualifier.h. Referenced by GetValue(), and gnSourceQualifier().

uint32 gnSourceQualifier::m_start`[private]`

| Definition at line 90 of file gnSourceQualifier.h. Referenced by GetValueLoc(), GetValueStart(), gnSourceQualifier(), SetValueLoc(), and SetValueStart().

The documentation for this class was generated from the following files:

- gnSourceQualifier.h
- gnSourceQualifier.cpp